## distro-info 0.3

=== Makefile ===
define \n


endef

PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

build: debian-distro-info ubuntu-distro-info

debian-distro-info: DebianDistroInfo.hs DistroInfo.hs
	ghc -Wall -o $@ --make -main-is DebianDistroInfo $<

test-distro-info: TestDistroInfo.hs DistroInfo.hs
	ghc -Wall -o $@ --make -main-is TestDistroInfo $<

ubuntu-distro-info: UbuntuDistroInfo.hs DistroInfo.hs
	ghc -Wall -o $@ --make -main-is UbuntuDistroInfo $<

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 $(wildcard data/*.csv) $(DESTDIR)$(PREFIX)/share/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 $(wildcard doc/*.1) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
	cd python && python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

test: test-distro-info
	./test-distro-info
	cd perl && ./test.pl
	$(foreach python,$(shell pyversions -r),cd python && $(python) setup.py test$(\n))

clean:
	rm -rf *-distro-info *.hi *.o python/build python/*.egg-info
	find python -name '*.pyc' -delete

.PHONY: build clean install test

## distro-info 0.2.1

=== debian/changelog ===
distro-info (0.2.1) unstable; urgency=low

  * Correct release and EOL dates of old Ubuntu releases by reviewing
    ubuntu-announce emails.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Jul 2011 15:55:23 +0200

distro-info (0.2) unstable; urgency=low

  * Make sure all DistroInfo classes have a .codename method.
  * Add experimental to list of Debian distributions.
  * Bump Breaks and Replaceses for ubuntu-dev-tools.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Jun 2011 16:30:59 +0200

distro-info (0.1) unstable; urgency=low

  * Initial release (Closes: #559761)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 19 Jun 2011 00:08:57 +0200

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 8),
               pylint,
               python-all (>= 2.6.3-3~),
               python-setuptools,
               python-unittest2
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/distro-info.git

Package: distro-info
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ubuntu-dev-tools (<< 0.127~)
Replaces: ubuntu-dev-tools (<< 0.127~)
Description: provides information about the distributions' releases
 This package contains information about all releases of Debian and Ubuntu. The
 distro-info script will give you the codename for e.g. the latest stable
 release of your distribution. To get information about a specific distribution
 there are the debian-distro-info and the ubuntu-distro-info scripts.

## distro-info 0.2.3

=== debian/changelog ===
distro-info (0.2.3) unstable; urgency=low

  * "old" is not a Debian suite alias, but "oldstable" is.
  * Add myself to Uploaders.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Oct 2011 22:24:08 +0200

distro-info (0.2.2) unstable; urgency=low

  * Add 12.04 LTS "Precise Pangolin" to Ubuntu list.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Oct 2011 01:07:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 8),
                pylint,
                python-all (>= 2.6.3-3~),

=== debian/rules ===
#!/usr/bin/make -f

define \n


endef

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info

override_dh_auto_install:
	dh_auto_install
	dh_link usr/bin/$(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')-distro-info usr/bin/distro-info

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(foreach python,$(shell pyversions -r),$(python) setup.py test$(\n))
endif

## distro-info 0.2.3ubuntu0.2

=== debian/changelog ===
distro-info (0.2.3ubuntu0.2) oneiric-proposed; urgency=low

  * Update data from distro-info-data 0.10ubuntu1.
    - Add Debian 8.0 "Jessie".
    - Add Ubuntu Raring Ringtail. (LP: #1068019)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Oct 2012 10:21:10 +0200

distro-info (0.2.3ubuntu0.1) oneiric-proposed; urgency=low

  * Update data from distro-info-data 0.9.
    - Use full dates (add days for future EOL dates of Ubuntu).
    - Add Ubuntu Quantal Quetzal. (LP: #987390)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 23 Apr 2012 18:16:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 8),
                pylint,

## distro-info 0.3

=== debian/changelog ===
distro-info (0.3) unstable; urgency=low

  [ Stefano Rivera ]
  * Add basic Perl module, API-compatible with the Python one.
  * Add liblist-compare-perl as a Build-Dependency for the Perl test suite.

  [ Benjamin Drung ]
  * Improve speed by rewriting scripts in Haskell (LP: #796317).
  * Allow printing of release version and full name (LP: #807644).
  * Split scripts, Perl and Python libraries in separate binary packages.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 11 Oct 2011 23:55:18 +0200

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 8),
               ghc,
               libghc-csv-dev,
               libghc-hunit-dev,
               liblist-compare-perl,
               pylint,
               python-all (>= 2.6.3-3~),
               python-setuptools,
               python-unittest2
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/distro-info.git

Package: distro-info
Architecture: any
Depends: distro-info-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: python-distro-info
Breaks: ubuntu-dev-tools (<< 0.127~)
Replaces: ubuntu-dev-tools (<< 0.127~)
Description: provides information about the distributions' releases
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.

Package: distro-info-data
Architecture: all
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data, ${misc:Depends}, ${perl:Depends}
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python-distro-info
Architecture: all
Section: python
Depends: distro-info-data, ${misc:Depends}, ${python:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about distributions' releases (Python module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

## distro-info 0.4

=== Makefile ===
--- 
+++ 
@@ -5,17 +5,18 @@
 
 PREFIX ?= /usr
 VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
+GHC_FLAGS := -Wall -O2
 
 build: debian-distro-info ubuntu-distro-info
 
 debian-distro-info: DebianDistroInfo.hs DistroInfo.hs
-	ghc -Wall -o $@ --make -main-is DebianDistroInfo $<
+	ghc $(GHC_FLAGS) -o $@ --make -main-is DebianDistroInfo $<
 
 test-distro-info: TestDistroInfo.hs DistroInfo.hs
-	ghc -Wall -o $@ --make -main-is TestDistroInfo $<
+	ghc $(GHC_FLAGS) -o $@ --make -main-is TestDistroInfo $<
 
 ubuntu-distro-info: UbuntuDistroInfo.hs DistroInfo.hs
-	ghc -Wall -o $@ --make -main-is UbuntuDistroInfo $<
+	ghc $(GHC_FLAGS) -o $@ --make -main-is UbuntuDistroInfo $<
 
 install: debian-distro-info ubuntu-distro-info
 	install -d $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
distro-info (0.4) unstable; urgency=low

  [ Stefano Rivera ]
  * Add is_lts method to UbuntuDistroInfo

  [ Benjamin Drung ]
  * Enable optimization for Haskell code.
  * Break old ubuntu-dev-tools package instead of recommending
    python-distro-info.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 25 Oct 2011 23:19:56 +0200

## distro-info 0.5

=== Makefile ===
--- 
+++ 
@@ -30,13 +30,19 @@
 	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
 	cd python && python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
 
-test: test-distro-info
+test: test-haskell test-perl test-python
+
+test-haskell: test-distro-info
 	./test-distro-info
+
+test-perl:
 	cd perl && ./test.pl
+
+test-python:
 	$(foreach python,$(shell pyversions -r),cd python && $(python) setup.py test$(\n))
 
 clean:
 	rm -rf *-distro-info *.hi *.o python/build python/*.egg-info
 	find python -name '*.pyc' -delete
 
-.PHONY: build clean install test
+.PHONY: build clean install test test-haskell test-perl test-python

=== debian/changelog ===
distro-info (0.5) unstable; urgency=low

  * Allow retrieving the release version and full name with the Python module.
    (Closes: #647951)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 23 Jan 2012 19:18:50 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
 Package: distro-info
 Architecture: any
 Depends: distro-info-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python-distro-info
-Breaks: ubuntu-dev-tools (<< 0.127~)
+Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)
 Description: provides information about the distributions' releases
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info 0.5.1

=== debian/changelog ===
distro-info (0.5.1) unstable; urgency=low

  [ Stefano Rivera ]
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.

  [ Benjamin Drung ]
  * DebianDistroInfo.hs, UbuntuDistroInfo.hs: Replace System import by
    System.Environment and System.Exit import to fix build failure.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Feb 2012 16:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-all (>= 2.6.3-3~),
                python-setuptools,
                python-unittest2
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/distro-info.git

## distro-info 0.8.2

=== Makefile ===
define \n


endef

PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
CFLAGS += -Wall -Wextra -Werror -O2 -std=gnu99

build: debian-distro-info ubuntu-distro-info

%-distro-info: %-distro-info.c distro-info-util.*
	gcc $(CFLAGS) -o $@ $<

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 shunit2-helper-functions.sh $(DESTDIR)$(PREFIX)/share/distro-info
	$(foreach distro,debian ubuntu,sed -e 's@^\(COMMAND=\"\).*/\(.*-distro-info\"\)$$@\1\2@' \
	    test-$(distro)-distro-info > $(DESTDIR)$(PREFIX)/share/distro-info/test-$(distro)-distro-info$(\n) \
	    chmod 755 $(DESTDIR)$(PREFIX)/share/distro-info/test-$(distro)-distro-info$(\n))
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 $(wildcard doc/*.1) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
	cd python && python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

test: test-commandline test-perl test-python

test-commandline: debian-distro-info ubuntu-distro-info
	./test-debian-distro-info
	./test-ubuntu-distro-info

test-perl:
	cd perl && ./test.pl

test-python:
	$(foreach python,$(shell pyversions -r),cd python && $(python) setup.py test$(\n))

clean:
	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info
	find python -name '*.pyc' -delete

.PHONY: build clean install test test-commandline test-perl test-python

=== debian/changelog ===
distro-info (0.8.2) unstable; urgency=low

  * Drop liblist-compare-perl from Build-Depends. Use our own list comparison
    functions in the test suite.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Apr 2012 11:39:55 +0200

distro-info (0.8.1) unstable; urgency=low

  * Fix build failure due to wrong variable type.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 03 Apr 2012 13:02:26 +0200

distro-info (0.8) unstable; urgency=low

  * Run shell scripts with 'set -f' (LP: #965378).
  * Rewrite scripts in C. The binaries are 2.3 times bigger than the shell
    scripts, but they are between four and six times faster. Forking the process
    takes longer than executing it. The plain execution time is around 25 times
    faster than the shell scripts.
  * Extend command line test cases.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 03 Apr 2012 01:24:23 +0200

distro-info (0.7.1) unstable; urgency=low

  * Use shunit2 for testing the command line scripts instead of using an own
    custom test framework and install the test cases.
  * test-ubuntu-distro-info: Fix i386 build failure due to year 2038 problem.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 26 Mar 2012 01:43:16 +0200

distro-info (0.7) unstable; urgency=low

  * Rewrite scripts in Shell. The scripts are smaller than the Haskell binaries
    and the speed is about the same. This was done because Haskell is not in
    Ubuntu main. Thanks to Scott Moser for his work. (LP: #963062)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Mar 2012 11:17:54 +0100

distro-info (0.6) unstable; urgency=low

  * Put data into separate source package to avoid a full source rebuild for
    just updating the data.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 23 Mar 2012 00:16:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,12 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 8),
-               ghc,
-               libghc-csv-dev,
-               libghc-hunit-dev,
-               liblist-compare-perl,
+               distro-info-data (>= 0.7~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
-               python-unittest2
+               python-unittest2,
+               shunit2 (>= 2.1.6)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
@@ -19,7 +17,8 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)
 Description: provides information about the distributions' releases
@@ -27,19 +26,6 @@
  will give you the codename for e.g. the latest stable release of your
  distribution. To get information about a specific distribution there are the
  debian-distro-info and the ubuntu-distro-info scripts.
-
-Package: distro-info-data
-Architecture: all
-Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
-Replaces: distro-info (<< 0.3~)
-Description: information about the distributions' releases (data files)
- Information about all releases of Debian and Ubuntu. The distro-info script
- will give you the codename for e.g. the latest stable release of your
- distribution. To get information about a specific distribution there are the
- debian-distro-info and the ubuntu-distro-info scripts.
- .
- This package contains the data files.
 
 Package: libdistro-info-perl
 Architecture: all

## distro-info 0.8.2ubuntu1

=== debian/changelog ===
distro-info (0.8.2ubuntu1) precise; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038, LP: #1825553)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Apr 2019 10:31:12 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 8),
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.8ubuntu0.17~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
@@ -17,7 +18,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.8ubuntu0.17~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.9~bpo60+1

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 PREFIX ?= /usr
 VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
-CFLAGS += -Wall -Wextra -Werror -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -Werror -g -O2 -std=gnu99
 
 build: debian-distro-info ubuntu-distro-info
 
 %-distro-info: %-distro-info.c distro-info-util.*
-	gcc $(CFLAGS) -o $@ $<
+	$(CC) $(CFLAGS) -o $@ $<
 
 install: debian-distro-info ubuntu-distro-info
 	install -d $(DESTDIR)$(PREFIX)/bin
@@ -26,6 +26,7 @@
 	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
 	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
 	cd python && python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
+	cd python && python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
 
 test: test-commandline test-perl test-python
 
@@ -37,7 +38,7 @@
 	cd perl && ./test.pl
 
 test-python:
-	$(foreach python,$(shell pyversions -r),cd python && $(python) setup.py test$(\n))
+	$(foreach python,$(shell pyversions -r && py3version -r),cd python && $(python) setup.py test$(\n))
 
 clean:
 	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info

=== debian/changelog ===
distro-info (0.9~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian 6.0 (squeeze).

 -- Benjamin Drung <bdrung@debian.org>  Mon, 11 Jun 2012 20:51:12 +0200

distro-info (0.9) unstable; urgency=low

  * debian-distro-info: Add an --alias option. Thanks to Antonio Ospite
    for the work. (Closes: #645171)
  * Make Python code valid Python 2 and 3 code and add a Python 3 module.
  * Fix one memmory leak in main() function.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 13 Apr 2012 16:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 8),
-               distro-info-data (>= 0.8ubuntu0.17~),
+               distro-info-data (>= 0.7~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
                python-unittest2,
+               python3-all,
+               python3-setuptools,
                shunit2 (>= 2.1.6)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.0
 Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/distro-info.git
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.8ubuntu0.17~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)
@@ -50,3 +52,14 @@
  This package contains a Python module for parsing the data in
  distro-info-data. There is also a command line interface in the distro-info
  package.
+
+Package: python3-distro-info
+Architecture: all
+Section: python
+Depends: distro-info-data, ${misc:Depends}, ${python3:Depends}
+Description: information about distributions' releases (Python 3 module)
+ Information about all releases of Debian and Ubuntu.
+ .
+ This package contains a Python 3 module for parsing the data in
+ distro-info-data. There is also a command line interface in the distro-info
+ package.

## distro-info 0.10

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,16 @@
 
 PREFIX ?= /usr
 VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
+
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall -Wextra -Werror -g -O2 -std=gnu99
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 build: debian-distro-info ubuntu-distro-info
 
 %-distro-info: %-distro-info.c distro-info-util.*
-	$(CC) $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
 install: debian-distro-info ubuntu-distro-info
 	install -d $(DESTDIR)$(PREFIX)/bin
@@ -38,7 +42,7 @@
 	cd perl && ./test.pl
 
 test-python:
-	$(foreach python,$(shell pyversions -r && py3version -r),cd python && $(python) setup.py test$(\n))
+	$(foreach python,$(shell pyversions -r && py3versions -r),cd python && $(python) setup.py test$(\n))
 
 clean:
 	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info

=== debian/changelog ===
distro-info (0.10) unstable; urgency=low

  * Provide more useful errors (pointing to a README in distro-info-data) when
    the data is outdated.
  * Actually test with Python 3 (typo)
  * libdistro-info-perl: Print a warning and return 0 when data is out of
    date, rather than dying.
  * Use dpkg-buildflags and enable hardening.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Jun 2012 18:36:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS="hardening=+all"

%:
	dh $@ --with python2,python3

## distro-info 0.11

=== debian/changelog ===
distro-info (0.11) unstable; urgency=low

  * Added ability to specify --days[=MILESTONE] option.
    Thanks to James Hunt for implementing it.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 02 Aug 2013 23:35:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                distro-info-data (>= 0.7~),
                pylint,
                python-all (>= 2.6.3-3~),
@@ -12,11 +12,11 @@
                python3-all,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
-Vcs-Git: git://git.debian.org/git/collab-maint/distro-info.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/distro-info.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/distro-info.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/distro-info.git
 
 Package: distro-info
 Architecture: any

## distro-info 0.12

=== debian/changelog ===
distro-info (0.12) unstable; urgency=medium

  * Fix Ubuntu EOL test cases (The EOL date of raring is two days later).
    (Closes: #735801)
  * Bump Standards-Version to 3.9.5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Jan 2014 11:45:43 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-all,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/distro-info.git

## distro-info 0.12ubuntu0.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -Wall -Wextra -Werror -g -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -g -O2 -std=gnu99
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 build: debian-distro-info ubuntu-distro-info

=== debian/changelog ===
distro-info (0.12ubuntu0.2) trusty; urgency=medium

  * Properly version the depends on distro-info-data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Mar 2019 09:26:22 -0800

distro-info (0.12ubuntu0.1) trusty; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Mar 2019 13:47:32 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.18ubuntu0.11~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
@@ -20,7 +21,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.18ubuntu0.11), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3

## distro-info 0.14

=== debian/changelog ===
distro-info (0.14) unstable; urgency=medium

  * Fix days in month calculation for leap years (Closes: #766142)
  * Bump Standards-Version to 3.9.6

 -- Benjamin Drung <bdrung@debian.org>  Tue, 21 Oct 2014 10:09:57 +0200

distro-info (0.13) unstable; urgency=medium

  [ Benjamin Drung ]
  * ubuntu-distro-info: Add --latest option. Use this option instead of --devel
    if you want to fallback to --stable for outdated data. (LP: #1309591)
  * distro_info_test/test_help.py: Close file descriptors at the end.

  [ Dimitri John Ledkov ]
  * Add --series lookup.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 10 May 2014 20:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.18ubuntu0.11~),
+               distro-info-data (>= 0.7~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
@@ -13,7 +12,7 @@
                python3-all,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/distro-info.git
@@ -21,7 +20,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.18ubuntu0.11), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.14build1

=== debian/changelog ===
distro-info (0.14build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:37:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
                distro-info-data (>= 0.7~),

## distro-info 0.14ubuntu0.1

=== debian/changelog ===
distro-info (0.14ubuntu0.1) xenial; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Mar 2019 11:56:49 -0800

## distro-info 0.14ubuntu0.2

=== debian/changelog ===
distro-info (0.14ubuntu0.2) xenial-security; urgency=medium

  * No-change rebuild to fix instability in xenial-security (LP: #1925383)

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 21 Apr 2021 14:39:35 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.28ubuntu0.10),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
@@ -21,7 +21,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.28ubuntu0.10), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.14ubuntu0.3

=== debian/changelog ===
distro-info (0.14ubuntu0.3) xenial; urgency=medium

  * python (LP: #2029089):
    - Add DistroInfo.get_all() method
    - Introduce DistroRelease object
    - Support returning DistroRelease objects

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 31 Jul 2023 11:50:46 +0200

## distro-info 0.14+deb8u1

=== debian/changelog ===
distro-info (0.14+deb8u1) jessie; urgency=medium

  * Non-security ELTS update, enabling distro-info-data updates:
    - Handle currently unknown columns in CSV data.
    - Make the Python module version PEP440 compliant.
    - Update tests for distro-info-data 41+deb10u8, which adjusted Ubuntu
      10.04 and 12.04's EoL
    - Change test unknown eol-server dates to use Ubuntu 12.10, which won't
      get ESM data in the future, if we include extra distro-info-data
      columns.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 12:54:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.28ubuntu0.10),
+               distro-info-data (>= 0.36~bpo8+4~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,
@@ -21,7 +20,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.28ubuntu0.10), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.14+deb9u1

=== debian/changelog ===
distro-info (0.14+deb9u1) stretch; urgency=medium

  * Non-security ELTS update, enabling distro-info-data updates:
    - Handle currently unknown columns in CSV data.
    - Make the Python module version PEP440 compliant.
    - Update tests for distro-info-data 41+deb10u8, which adjusted Ubuntu
      10.04 and 12.04's EoL
    - Change test unknown eol-server dates to use Ubuntu 12.10, which won't
      get ESM data in the future, if we include extra distro-info-data
      columns.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 12:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.36~bpo8+4~),
+               distro-info-data (>= 0.41+deb10u2~bpo9+4~),
                pylint,
                python-all (>= 2.6.3-3~),
                python-setuptools,

## distro-info 0.17

=== debian/changelog ===
distro-info (0.17) unstable; urgency=medium

  * python: Strip trailing summary from pylint output
    (to fix build failure on Ubuntu 17.10)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 21 Jul 2017 17:49:07 +0200

distro-info (0.16) unstable; urgency=medium

  * python: Introduce DistroRelease object and support returning it
    (steps to fix LP #1253208)
  * Add dh-python to build dependencies
  * Bump Standards-Version to 4.0.0 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 20 Jul 2017 12:08:34 +0200

distro-info (0.15) unstable; urgency=medium

  [ Mike Miller ]
  * debian-distro-info: Support oldstable with --alias. (Closes: #784284)

  [ Benjamin Drung ]
  * Fix flake8 and pylint issues found in Python code
  * Run flake8 and pylint checks on Python code in test suite
  * Python: Add DistroInfo.get_all() method
  * Bump Standard-Version to 3.9.8 (no changes required)
  * Use https for Vcs-Git and Vcs-Browser URLs

 -- Benjamin Drung <bdrung@debian.org>  Fri, 28 Apr 2017 19:45:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,23 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9),
-               distro-info-data (>= 0.41+deb10u2~bpo9+4~),
+               dh-python,
+               distro-info-data (>= 0.7~),
                pylint,
+               pylint3,
                python-all (>= 2.6.3-3~),
+               python-flake8,
                python-setuptools,
                python-unittest2,
                python3-all,
+               python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/distro-info.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/distro-info.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/distro-info.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/distro-info.git
 
 Package: distro-info
 Architecture: any

## distro-info 0.18~ubuntu16.04.1

=== debian/changelog ===
distro-info (0.18~ubuntu16.04.1) xenial-backports; urgency=medium

  * Backport to xenial, changes:
    - Don't require debhelper 11

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Oct 2018 17:13:51 +0100

distro-info (0.18) unstable; urgency=medium

  * Update Python unittests to support pylint 1.8 (Closes: #889537)
  * Bump debhelper to version 11
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Update copyright year and format spec URL to https

 -- Benjamin Drung <bdrung@debian.org>  Sun, 04 Feb 2018 20:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                distro-info-data (>= 0.7~),
                pylint,
@@ -16,7 +16,7 @@
                python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/distro-info.git

## distro-info 0.18

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                distro-info-data (>= 0.7~),
                pylint,

## distro-info 0.18ubuntu0.18.04.1~bpo16.04.1

=== debian/changelog ===
distro-info (0.18ubuntu0.18.04.1~bpo16.04.1) xenial-backports; urgency=medium

  * Backport from Bionic Updates to xenial-backports
    (LP: #1862305)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 26 Sep 2023 12:46:03 -0400

distro-info (0.18ubuntu0.18.04.1) bionic; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Mar 2019 11:34:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9),
                dh-python,
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.28ubuntu0.18),
                pylint,
                pylint3,
                python-all (>= 2.6.3-3~),
@@ -24,7 +25,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.28ubuntu0.18), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.18ubuntu0.18.04.1

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	$(foreach python,$(shell pyversions -r && py3versions -r),cd python && $(python) setup.py test$(\n))
 
 clean:
-	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info
+	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info python/.pylint.d
 	find python -name '*.pyc' -delete
 
 .PHONY: build clean install test test-commandline test-perl test-python

=== haskell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
GHC_FLAGS := -Wall -O2

build: debian-distro-info ubuntu-distro-info

debian-distro-info: DebianDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is DebianDistroInfo $<

test-distro-info: TestDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is TestDistroInfo $<

ubuntu-distro-info: UbuntuDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is UbuntuDistroInfo $<

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

test: test-distro-info
	./test-distro-info

clean:
	rm -f *-distro-info *.hi *.o

.PHONY: build clean install test

=== shell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

build: debian-distro-info ubuntu-distro-info

%-distro-info: debian-distro-info.in distro-info-util.sh
	sed -e '/^\. .*distro-info-util.sh\"$$/r distro-info-util.sh' $< | \
		sed -e '/^##/d;/^\. .*distro-info-util.sh\"$$/d' | \
		python -c 'import re,sys;print re.sub("(?<=\n)#BEGIN \w*#\n(.|\n)*?\n#END \w*#\n", "", re.sub("(?<=\n)#(BEGIN|END) $*#\n", "", sys.stdin.read())),' > $@
	chmod +x $@

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

clean:
	rm -f debian-distro-info ubuntu-distro-info

.PHONY: build clean install

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               distro-info-data (>= 0.28ubuntu0.18),
+               distro-info-data (>= 0.37ubuntu0.3),
                pylint,
                pylint3,
                python-all (>= 2.6.3-3~),
@@ -25,7 +25,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.28ubuntu0.18), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.37ubuntu0.3), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.18ubuntu0.18.10.2

=== debian/changelog ===
distro-info (0.18ubuntu0.18.10.2) cosmic; urgency=medium

  * Properly version the depends on distro-info-data. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Mar 2019 09:17:59 -0800

distro-info (0.18ubuntu0.18.10.1) cosmic; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Mar 2019 15:45:32 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
-               distro-info-data (>= 0.37ubuntu0.3),
+               distro-info-data (>= 0.38ubuntu0.2),
                pylint,
                pylint3,
                python-all (>= 2.6.3-3~),
@@ -25,7 +25,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.37ubuntu0.3), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.38ubuntu0.2), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.20~bpo9+1

=== debian/changelog ===
distro-info (0.20~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Feb 2019 10:44:03 +0200

distro-info (0.20) unstable; urgency=medium

  * Fix build failure with LC_ALL=POSIX by explicitly opening
    debian/changelog as UTF-8 in setup.py.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 12 Oct 2018 12:00:35 +0200

distro-info (0.19) unstable; urgency=medium

  [ Stefano Rivera ]
  * Migrate VCS to salsa.debian.org.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Iain Lane ]
  * Fix pylint issues (Closes: #909987):
    + Allow useless-object-inheritance so we can stay PY2/3 bilingual.
      - This is correctly an unknown option when linting python 2, so we need
        to whitelist unknown overrides too.
    + Refactor a useless if/return/elif... chain into a sequence of `if`s
      instead.
    + Use chained comparison x <= y <= z instead of x <= y and y <= z.

  [ Benjamin Drung ]
  * Update pylint/flake8 unittests to latest version from
    https://github.com/bdrung/snippets
  * Support running tests against installed binaries and libraries
  * Add autopkgtest test suite
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.1
  * Do not install distro_info_test into Python libraries
  * Do not install test-*-distro-info scripts

 -- Benjamin Drung <bdrung@debian.org>  Fri, 12 Oct 2018 01:30:13 +0200

## distro-info 0.20

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
-               distro-info-data (>= 0.38ubuntu0.2),
+               distro-info-data (>= 0.7~),
                pylint,
                pylint3,
                python-all (>= 2.6.3-3~),
@@ -17,15 +16,14 @@
                python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/distro-info.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/distro-info.git
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/distro-info.git
+Vcs-Browser: https://salsa.debian.org/debian/distro-info
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.38ubuntu0.2), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.21~bpo9+1

=== debian/changelog ===
distro-info (0.21~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Feb 2019 13:19:42 -0800

distro-info (0.21) unstable; urgency=medium

  [ Benjamin Drung ]
  * Fix spelling mistake of exactly.
    Thanks to Brian Murray <brian@ubuntu.com> (Closes: #921581)
  * Bump Standards-Version to 4.3.0 (no changes needed)

  [ Balint Reczey ]
  * Support getting release version by codename in the Perl and Python API
    (Closes: #896640)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 10 Feb 2019 00:29:24 +0100
